std::experimental::observer_ptr::swap(3)

NAME
std::experimental::observer_ptr::swap - std::experimental::observer_ptr::swap

Synopsis
   constexpr void swap(observer_ptr& other) noexcept; (library fundamentals TS v2)
   Swaps the watched object of *this and another observer_ptr object other, by invoking
   swap on the stored pointers of *this and other.

Parameters
   other - another observer_ptr object to swap the watched object with

Return value
   (none)

Example
    This section is incomplete
    Reason: no example